package com.ruoyi.web.v2.v1.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v2.v1.entity.JsDeviceMaintenance;
import com.ruoyi.web.v2.v1.entity.JsDistribution;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * v2.0分销登记 服务类
 * </p>
 *
 * @author author
 * @since 2025-05-26
 */
public interface IJsDistributionService extends IService<JsDistribution> {

    AjaxResult add(JsDistribution distribution);

    AjaxResult edit(JsDistribution distribution);

    AjaxResult delete(String ids);

    AjaxResult page(Integer pageNum, Integer pageSize, String startTime, String endTime, Integer supplierId, Integer purchaserId, Integer animalCertNo);

    AjaxResult listAll();
}
