package com.ruoyi.web.v2.v1.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v2.v1.entity.JsDivideCircle;
import com.ruoyi.web.v2.v1.entity.JsDrugCheck;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * v2.0违禁药物登记 服务类
 * </p>
 *
 * @author author
 * @since 2025-05-22
 */
public interface IJsDrugCheckService extends IService<JsDrugCheck> {

    AjaxResult add(JsDrugCheck drugCheck);

    AjaxResult edit(JsDrugCheck drugCheck);

    AjaxResult delete(String ids);

    AjaxResult page(Integer pageNum, Integer pageSize, String startTime, String endTime, String animalCertNo);

    AjaxResult listAll();
}
